マニュアル

  1. サーバープログラムについて
  2. PHPのバージョンについて

PHPのバージョンについて(移行メンテナンス前)

バージョン説明
PHP 7.1.x

現在公式にサポートされているバージョンです。
PHP7 は、PHP5 や PHP4 と比較してパフォーマンスが大幅に強化されています。

※「PHP高速化設定(FastCGI)」と「キャッシュモジュール(OPcache)」が
標準で有効となります。
「FastCGI」と「OPcache」については、 マニュアルページ「FastCGIについて」と 「APC/OPcacheについて」をご参照ください。

PHP 7.0.x
PHP 5.6.x

現在公式にサポートされているバージョンです。
パフォーマンスが大幅に強化されたPHP 7.1.x / PHP 7.0.x への移行を推奨します。

※「PHP高速化設定(FastCGI)」と「キャッシュモジュール(OPcache)」が
標準で有効となります。
「FastCGI」と「OPcache」については、 マニュアルページ「FastCGIについて」と 「APC/OPcacheについて」をご参照ください。

PHP 5.5.x

旧バージョンです。
今後バージョンアップの予定はないため新規での利用は推奨しません。
PHP 7.1.x / PHP 7.0.x への移行を推奨します。

PHP 5.4.x
PHP 5.2.17
PHP 4.3.9
PHP 5.3.3

旧バージョンです。
OSベンダーによるパッチにて、影響の大きな脆弱性を中心にセキュリティ修正が
行われます。
PHP 7.1.x / PHP 7.0.x への移行を推奨します。

PHP 5.1.6

サーバーパネルへログインし、「PHP Ver.切替」をクリックしてください。

PHPver.切替画面へ

現在のバージョンを確認し、「変更後のバージョン」より変更希望のバージョンを選択ください。

サーバーパネルでPHPver.切り替えをクリック

選択後、「バージョンを切り替える」をクリックしてください。